## This solution consists of two essential data sources:
## 1. Solution accesses public databases to analyze reported molecules
Python recipe [compute_database_query](recipe:compute_database_query) retreives all the studied molecules from the user defined (see [Solution Parameters](article:16)) public database (see [Systems and Databases](article:15)) and target protein of interest. The two output files that consist the base of thise solution are (features are explained in [Solution Parameters](article:16)):

 - [Metadata](dataset:metadata) that capture an overview of the user query  and the output results 
  ![metadata.png](m7XTDiz6KWxH)

 - [Molecules](dataset:molecules) that store all the molecules studied before and reported on the database.
  ![molecules.png](LkRQXSyg85pK)

## 2. Users submit novel molecules for testing
The user is required to upload their own [test_data](dataset:test_dataff) for scoring novel molecules with structure:

| Column Name               | Column Type
| ------------ | ------------ | 
| molecule_id | STRING |
| canonical_simles | STRING |

![test_data.png](oZgM2tygvehF)
