In this solution user has the options of accessing Hugging Face through inference API under the available free plan and run the pretrained model ```ChemBerta-77M-MLM``` or ```Roberta-Zinc480M-102M```. This options comes with the following limitations: 

 1. Query length: Limited to 512 tokens (including special tokens). This essentially translates to the length of your SMILES string, potentially cutting off longer molecules.
 1. Quota: You can process up to 10,000 molecular SMILES strings for featurization per day.
 1. Requests per second (RPS): 10 RPS, you can send a maximum of 10 inference requests per second.
 1. Concurrent requests: Unlimited, but subject to the RPS limit. You can send multiple requests simultaneously, but their combined rate shouldn't exceed 10 per second.