## Version 1.0.0 - Initial Release - 2024-02:
- Established API connections to ChEMBL and PubChem chemistry public databases to query studied molecules for a target protein of interet. 
- Computed both fingerprint and molecular descriptors to capture the molecular properties and insights for data analytics. 
- Trained a machine learning regression model to predict molecular bioactivity. 
- Applied molecular similarity to find patterns and relations between molecules. 
- Analytical Dashboard enables users to automatically generate a quantitive structure-activity relationship and interact with studied and novel molecules. 
- A Dataiku Application is set to configure the solution set-up. 